<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Logbook extends CI_Controller {
   

     function __construct() {
        parent::__construct();
        $this->load->model('logBook_model', 'logBook');
         $this->load->model('users_model');
         $this->load->model('aircraft_model');
        if(!$this->session->userdata('users'))
        {
          redirect('/users');
        }
    }
	
	public function index()
	{    
   

    $userdata = $this->session->userdata('users');
    $data['user_type'] = $userdata->type;
    $data['users'] = $userdata;
    $data['approve']     =    array('' => 'please select', 'Pending' => 'Pending', 'Approved' => 'Approved', 'Cancel'=>'Cancel', '                            Completed' =>'Completed');
		$data['results'] = $this->logBook->airCraftBook($userdata);		
		$this->load->view('home', $data);
	}



	/*
        ****************create a new logbook *************
        **************************************************
	*/


  public function add_logbook()
    {
        $data = array();
        $userdata = $this->session->userdata('users');
        $data['aircrafts']   =    $this->logBook->aircraft_list();
        $data['pilot'] =    $this->logBook->pilot($userdata->id);
        $data['co_pilot'] =    $this->logBook->co_pilot($userdata->id);
        //$data['students']    =    $this->logBook->students_list();
        $data['user_type'] = $userdata->type;
        $data['id'] = $userdata->id;


        if($this->input->post(NULL, TRUE))
         {
          $postdata = $this->input->post(NULL, TRUE);
          $postdata['exercise_type'] = (empty($postdata['co_pilot'])) ? 'solo' : 'dual';
          unset($postdata['save']);
          $insert = $this->logBook->save($postdata);
          if($insert)
            {
               $this->session->set_flashdata('message', 'Logbook save successfully!');
               redirect('/logbook');
            }
         }
        $this->load->view('add_logbook', $data);

    }	
  



    public function edit_logbook($id = '')
      {   

           $data = array();
           $userdata = $this->session->userdata('users');
           $logbook = $this->logBook->logbook_get_by_id($id);
           $data['id']     = $id;
           $data['start_time']           = $logbook->start_time;
           $data['end_time']             = $logbook->end_time;
           $data['landing']              = $logbook->landing;
           $data['remarks']              = $logbook->remarks;
        
          if($this->input->post(NULL, TRUE))
             {
          $postdata = $this->input->post(NULL, TRUE);
          unset($postdata['save']);
          $postdata['id'] = $id;
          $insert = $this->logBook->save($postdata);
          if($insert)
            {
               $this->session->set_flashdata('message', 'Logbook updated successfully!');
               redirect('/logbook');
            }
          }

          $this->load->view('edit_logbook', $data);

      }

      /*
        ****************aircraft view *************
        **************************************************
     */

      public function aircraft_view($id= '')
        {
            $data['aircraft'] = $this->aircraft_model->getBYId($id);
            $this->load->view('aircraft_view', $data);
        }


     /*
        ****************aircraft view *************
        **************************************************
     */

      public function pilot_view($id= '')
        {   

            $user = $this->users_model->get_user($id);
            if(($user) && ($user->type == 'student'))
              {
                $data['student'] = $this->logBook->student_detail($id);
                $this->load->view('student_view', $data);
             }
             else if(($user) && ($user->type == 'instructor'))
              {
                $data['instructor'] = $this->logBook->instructor_detail($id);
                $this->load->view('instructor_view', $data);
             }
           
        }



  	/*
        ****************update status of logbook *************
        **************************************************
	  */
 

  public function update_status()
    {
       
       
          $data['id'] = $this->input->get('id');
          $data['status'] = $this->input->get('status');
          $insert = $this->logBook->update_status($data);
          if($insert)
            {
               $this->session->set_flashdata('message', 'Record updated successfully!');
               redirect('/logbook');
            }
            else{
               $this->session->set_flashdata('error', 'Something went wrong please try again!');
               redirect('/logbook');
            }

    }	



}